<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ความพร้อมด้านเทคโนโลยีสารสนเทศ</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับความพร้อมด้านเทคโนโลยีสารสนเทศตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight"
      *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>


<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">

  <div class="row">
    <div class="col-12" *ngIf="this.status_isupdate === true">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">รายละเอียดในแต่ละกระบวนการ</p>
        </div>
        <div class="flex-shrink-1 bd-highlight">
          <button class="btn-create-data" (click)="addRow()"><img src="assets/img/plus-icon.png" class="add-icon">
            เพิ่มข้อมูล</button>
        </div>
      </div>
    </div>
    <div class="col-12" *ngIf="this.status_isupdate === true">
      <hr style="margin-top: 0px;margin-bottom: 10px;">
    </div>
    <div class="col-12" *ngIf="this.status_isupdate === true">
      <div cdkDropListGroup class="overflow-auto">
        <table class="table-proccess table table-striped">
          <thead>
            <tr>
              <th width="18%">กระบวนการ</th>
              <th width="18%">กระบวนการย่อย </th>
              <th width="18%">แนวทางการจัดการ</th>
              <th width="18%">ผู้รับผิดชอบ</th>
              <th width="18%">วันที่คาดว่าจะแล้วเสร็จ</th>
              <th width="3%"></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of stepSeven.readiness; index as istep">
              <td style="width: 18%;">
                <div *ngIf="checkStaticTitle(istep); else notStaticType">
                  {{ item.process }}
                </div>
                <ng-template #notStaticType>
                  <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text"
                    id="textprocess1{{istep}}" placeholder="อื่นๆ ระบุ..." [(ngModel)]="item.process"
                    (ngModelChange)="changeSaveDraft()" name="textprocess1" required></textarea>

                </ng-template>
              </td>
              <td colspan="5" class="pd-0">
                <table class="table-proccess-data" cdkDropList [cdkDropListData]="item.detail"
                  (cdkDropListDropped)="drop($event)" (cdkDropListEntered)="entered($event)"
                  (cdkDropListExited)="dragExited($event)">
                  <tr *ngFor="let detailItem of item.detail; index as isup" [cdkDragData]="detailItem"
                    (cdkDragStarted)="startDrag($event,istep)" cdkDrag>
                    <td style="width: 18%;" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="">
                      <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text"
                        id="textprocess2{{istep}}" placeholder="ระบุกระบวนการย่อย" [(ngModel)]="detailItem.subProcess"
                        (ngModelChange)="changeSaveDraft()" name="textprocess2" required></textarea>
                    </td>
                    <td style="width: 18%;" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text"
                        id="textprocess3{{istep}}" placeholder="ระบุแนวทางการจัดการ" [(ngModel)]="detailItem.management"
                        (ngModelChange)="changeSaveDraft()" name="textprocess3" required></textarea>
                    </td>
                    <td style="width: 17%;" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <textarea appTextareaAutoresize autocomplete="off" class="form-control example" type="text"
                        id="textprocess4{{istep}}" placeholder="ระบุผู้รับผิดชอบ" [(ngModel)]="detailItem.responsible"
                        (ngModelChange)="changeSaveDraft()" name="textprocess4" required></textarea>
                    </td>
                    <td style="width: 18%;" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div style="width: 250px;">

                        <!-- <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="detailItem.dueDate"
                          (ngModelChange)="changeSaveDraft()" class="form-control" placeholder="กรุณาเลือกวันที่"
                          [options]="myDpOptions" #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" /> -->
                        <app-date
                          [datepicker_input]="{ role: null , dateData: detailItem.dueDate, index: null, page: 'step7-show' }"
                          (DateChange)="detailItem.dueDate = changeDate($event)"></app-date>
                      </div>
                    </td>
                    <td style=" width: 10% "><span class="delete-data"
                        (click)="removeDataItem(istep , isup)">ลบข้อมูล</span></td>
                  </tr>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>

    <div class="col-12 d-flex justify-content-end mt-3" *ngIf="this.status_isupdate === true">
      <button class="btn-create-data" (click)="addRow()"><img src="assets/img/plus-icon.png" class="add-icon">
        เพิ่มข้อมูล</button>
    </div>


    <!-- ----------------------------------------- User Experience & Journey -------------------------------------------------- -->

    <div class="col-12">
      <p class="head-detal">User Experience & Journey</p>
    </div>
    <div class="mainText">
      <div class="textarea-container">

        <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
          [innerHTML]="this.textareaForm.get('uxText').value"
          style="min-height: 120px; max-width: auto; padding-top: 7px;" id="uxText" (ngModelChange)="changeSaveDraft()">
        </div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(1)" rows="5" (click)="autogrow(1)" type="text" id="uxText" [(ngModel)]="stepSeven.uxText"
          (ngModelChange)="changeSaveDraft()" #description="ngModel" name="uxText" required></textarea>
        <div style="position: relative;">

          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1, i )">
                <div class="unnon_image">
                  <img [src]="image1[i]" class="photo" (click)="image_click(1, i )">
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(1, $event)" [(ngModel)]="file1_2" accept=".jpg,.png">
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(1, $event)" [(ngModel)]="file1_1" accept=".jpg,.png">
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>

        </div>

        <!--     
        <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
          placeholder="ระบุรายละเอียด User Experience & Journey " style="height: 261px;" [(ngModel)]="stepSeven.uxText"
          (ngModelChange)="changeSaveDraft()"></textarea> -->

      </div>
    </div>

    <br>



    <!-- ----------------------------------------- Impact Analysis -------------------------------------------------- -->

    <div class="col-12">
      <p class="head-detal">Impact Analysis</p>
    </div>
    <div class="mainText">
      <div class="textarea-container">

        <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
          [innerHTML]="this.textareaForm.get('impactAnalysisText').value"
          style="min-height: 120px; max-width: auto; padding-top: 7px;" id="impactAnalysisText"
          (ngModelChange)="changeSaveDraft()"></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(2)" rows="5" (click)="autogrow(2)" type="text" id="impactAnalysisText"
          [(ngModel)]="stepSeven.impactAnalysisText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="impactAnalysisText" required></textarea>
        <div style="position: relative;">

          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(2, i )">
                <div class="unnon_image">
                  <img [src]="image2[i]" class="photo" (click)="image_click(2, i )">
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(2, $event)" [(ngModel)]="file2_2" accept=".jpg,.png">
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(2, $event)" [(ngModel)]="file2_1" accept=".jpg,.png">
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>


          <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
          placeholder="ระบุรายละเอียด Impact Analysis" style="height: 261px;" [(ngModel)]="stepSeven.impactAnalysisText"
          (ngModelChange)="changeSaveDraft()"></textarea> -->
        </div>
      </div>
    </div>

    <br>

    <!-- ----------------------------------------- Network Diagram -------------------------------------------------- -->

    <div class="col-12">
      <p class="head-detal">Network Diagram</p>
    </div>
    <div class="mainText">
      <div class="textarea-container">

        <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
          [innerHTML]="this.textareaForm.get('networkDiagramText').value"
          style="min-height: 120px; max-width: auto; padding-top: 7px;" id="networkDiagramText"
          (ngModelChange)="changeSaveDraft()"></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(3)" rows="5" (click)="autogrow(3)" type="text" id="networkDiagramText"
          [(ngModel)]="stepSeven.networkDiagramText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="networkDiagramText" required></textarea>
        <div style="position: relative;">


          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(3, i )">
                <div class="unnon_image" [ngStyle]="{'display': (!(image3.length > 0)) ? 'none' : '' }">
                  <img [src]="image3[i]" class="photo" (click)="image_click(3, i )">
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(3, $event)" [(ngModel)]="file3_2" accept=".jpg,.png">
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(3, $event)" [(ngModel)]="file3_1" accept=".jpg,.png">
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>

          <!-- <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
          placeholder="เพิ่มรายละเอียด Network Diagram" style="height: 261px;"
          [(ngModel)]="stepSeven.networkDiagramText" (ngModelChange)="changeSaveDraft()"></textarea> -->
        </div>
      </div>
    </div>
    <br>

    <!-- ----------------------------------------- Dataflow Diagram -------------------------------------------------- -->

    <div class="col-12">
      <p class="head-detal">Dataflow Diagram</p>
    </div>
    <div class="mainText">
      <div class="textarea-container">

        <!-- <div placeholder="ระบุรายละเอียดวัตถุประสงค์ของผลิตภัณฑ์ " contenteditable="true"
          [innerHTML]="this.textareaForm.get('dataFlowDiagramText').value"
          style="min-height: 120px; max-width: auto; padding-top: 7px;" id="dataFlowDiagramText"
          (ngModelChange)="changeSaveDraft()"></div> -->
        <textarea
          style="resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d"
          (keyup)="autogrow(4)" rows="5" (click)="autogrow(4)" type="text" id="dataFlowDiagramText"
          [(ngModel)]="stepSeven.dataFlowDiagramText" (ngModelChange)="changeSaveDraft()" #description="ngModel"
          name="dataFlowDiagramText" required></textarea>
        <div style="position: relative;">


          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(4, i )">
                <div class="unnon_image">
                  <img [src]="image4[i]" class="photo" (click)="image_click(4, i )">
                </div>
              </div>

              <div class="non_image">
                <input type="file" class="form-control non_image_fileDrop" #fileDropRef id="myfile" name="myfile"
                  multiple (change)="getFileDetails(4, $event)" [(ngModel)]="file4_2" accept=".jpg,.png">
                <label class="form-control non_image_text" for="fileDropRef"><img
                    src="../../../../../assets/img/add-icon-pass.svg" class="icon_add"></label>

              </div>
            </div>
          </div>

          <div class="input_upload">
            <input type="file" class="form-control fileDrop" #fileDropRef id="myfile" name="myfile" multiple
              (change)="getFileDetails(4, $event)" [(ngModel)]="file4_1" accept=".jpg,.png">
            <label class="form-control input_upload_label" for="fileDropRef"><img
                src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;">
              เลือกรูปภาพที่ต้องการอัปโหลดหรือลากและวางไฟล์รูปภาพที่นี่</label>
          </div>

          <!-- <textarea class="form-control" id="exampleFormControlTextarea4" rows="enter"
          placeholder="ระบุรายละเอียด Dataflow Diagram " style="height: 261px;"
          [(ngModel)]="stepSeven.dataFlowDiagramText" (ngModelChange)="changeSaveDraft()"></textarea> -->
        </div>

      </div>
    </div>
    <br>

    <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
    <div class="col-12" [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
      <div class="typeofcollateral">
        <p class="head-detal">อัปโหลดเอกสาร</p>
        <div class="dropzone">
          <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple (change)="onSelectFile($event)"
            accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
            application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
            .jpg,.png" />
          <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
          <a style="font-size: 18px; color: #00a6e6;"
            for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
        </div>
      </div>
      <br>
    </div>
    <!-- <div class="row"> -->
    <div class="col-12 table_files" [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
      <table mat-table [dataSource]="dataSource_file">
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="size">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index">
            <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
              (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
            <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
              (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
            <a class="pipe">|</a>
            <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>
    </div>
    <!--------------------------------------------------- The Modal -------------------------------------------------------- -->
    <div id="myModal" class="modal">
      <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png"></span>
      <div style="justify-content: center;">
        <div class="modal-content" *ngIf="showModel">
          <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].fileName}}"
            title="{{modalImagedetail[modalmainImageIndex].fileName}}" class="modal-image">
        </div>
        <br>
        <div>
          <div class="d-flex modal-image-detail" *ngIf="showModel">
            <div *ngFor="let item of modalImage; index as i">
              <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].fileName}}"
                title="{{modalImagedetail[i].fileName}}"
                [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
                (click)="modalmainImageIndex = i">
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------------------------------------------------------------------------------------------------ -->
  </div>

  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br> <br> <br> <br>
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
      </div>
    </div>
    <br> <br>
  </div>
</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>




<!-- --------------------------------------------Over multi files Size------------------------------------------------ -->
<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of FileOverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------- End Over multi files Size ----------------------------------------------- -->






<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 10px;" *ngIf="validate === false || template_manage.pageShow === 'executive'">
  <div class="row">
    <div class="col-12" *ngIf="this.status_isupdate === true">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">รายละเอียดในแต่ละกระบวนการ</p>
        </div>
      </div>
    </div>
    <div class="col-12" *ngIf="this.status_isupdate === true">
      <hr style="margin-top: 0px;margin-bottom: 10px;">
    </div>
    <div class="col-12" *ngIf="this.status_isupdate === true">
      <div class="overflow-auto">
        <table class="table-proccess table table-striped" style="max-width: 2050px;">
          <thead>
            <tr>
              <th style="padding: 0.75rem;" width="18%">กระบวนการ</th>
              <th style="padding: 0.75rem;" width="18%">กระบวนการย่อย </th>
              <th style="padding: 0.75rem;" width="18%">แนวทางการจัดการ</th>
              <th style="padding: 0.75rem;" width="18%">ผู้รับผิดชอบ</th>
              <th style="padding: 0.75rem;" width="18%">วันที่คาดว่าจะแล้วเสร็จ</th>
              <!-- <th width="10%"></th> -->
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of stepSeven.readiness; index as istep">
              <td style="width: 18%; word-break: break-all;text-align: left;">
                <div *ngIf="checkStaticTitle(istep); else notStaticType">
                  {{ item.process }}
                </div>
                <ng-template #notStaticType>
                  {{item.process}}
                </ng-template>
              </td>
              <td colspan="5" class="pd-0">
                <table class="table-proccess-data">
                  <tr *ngFor="let detailItem of item.detail; index as isup">
                    <td style="width: 18%; word-break: break-all"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      {{detailItem.subProcess}}
                    </td>
                    <td style="width: 18%; word-break: break-all"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      {{detailItem.management}}
                    </td>
                    <td style="width: 18%; word-break: break-all"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      {{detailItem.responsible}}
                    </td>
                    <td style="width: 18%; word-break: break-all;text-align: center;"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div class="input-warpper">
                        <div *ngIf="detailItem.dueDate">
                          {{covertDate(detailItem.dueDate)}}
                        </div>
                      </div>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>


    <!-- ----------------------------------------- User Experience & Journey -------------------------------------------------- -->

    <div class="col-12">
      <p class="head-detal">User Experience & Journey</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{ stepSeven.uxText }}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(1, i )"> -->
                <div class="unnon_image">
                  <img [src]="image1[i]" class="photo" (click)="image_click2(1, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <br>

    <!-- ----------------------------------------- Impact Analysis -------------------------------------------------- -->

    <div class="col-12">
      <p class="head-detal">Impact Analysis</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{ stepSeven.impactAnalysisText }}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(2, i )"> -->
                <div class="unnon_image">
                  <img [src]="image2[i]" class="photo" (click)="image_click2(2, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <br>

    <!-- ----------------------------------------- Network Diagram -------------------------------------------------- -->

    <div class="col-12">
      <p class="head-detal">Network Diagram</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{ stepSeven.networkDiagramText }}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(3, i )"> -->
                <div class="unnon_image" [ngStyle]="{'display': (!(image3.length > 0)) ? 'none' : '' }">
                  <img [src]="image3[i]" class="photo" (click)="image_click2(3, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <br>

    <!-- ----------------------------------------- Dataflow Diagram -------------------------------------------------- -->

    <div class="col-12">
      <p class="head-detal">Dataflow Diagram</p>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 20px;">
    </div>
    <div class="col-12">
      <div class="row" class="sub_body">
        <div class="col-12">
          {{ stepSeven.dataFlowDiagramText }}
        </div>
        <div class="col-12">
          <div class="image_row">
            <div class="row image_col">
              <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                <!-- <img src="../../../../../assets/img/circle-icon.png" class="circle_image" (click)="delete_image(4, i )"> -->
                <div class="unnon_image">
                  <img [src]="image4[i]" class="photo" (click)="image_click2(4, i )">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- <div class="row"> -->
    <br><br>
    <div class="col-12 table_files">
      <table mat-table [dataSource]="dataSource_file">
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ element.fileName }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="size">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index">
            <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>

      <br />
      <br>
    </div>

    <!--------------------------------------------------- The Modal -------------------------------------------------------- -->
    <div id="myModal7" class="modal">
      <span class="close cursor" (click)="closeModal2()"><img src="../../../../../assets/img/close-modal.png"></span>
      <div style="justify-content: center;">
        <div class="modal-content" *ngIf="showModel">
          <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].fileName}}"
            title="{{modalImagedetail[modalmainImageIndex].fileName}}" class="modal-image">
        </div>
        <br>
        <div>
          <div class="d-flex modal-image-detail" *ngIf="showModel">
            <div *ngFor="let item of modalImage; index as i">
              <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].fileName}}"
                title="{{modalImagedetail[i].fileName}}"
                [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
                (click)="modalmainImageIndex = i">
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- ------------------------------------------------------------------------------------------------------------------ -->
  </div>

</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>
<div class="row" *ngIf="validate === false || template_manage.pageShow === 'executive'"
  [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>